Bug 116804 - [Impress, Slideshow, FILEOPEN]: Command Line Switch To Open In Windowed Mode Slideshow
Summary: [Impress, Slideshow, FILEOPEN]: Command Line Switch To Open In Windowed Mode ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Commandline Slide-Show
  Show dependency treegraph
 
Reported: 2018-04-04 18:28 UTC by Nick
Modified: 2021-06-13 03:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2018-04-04 18:28:33 UTC
Hi there. I was wondering if a command line switch that opens a slideshow in windowed mode could be achieved? Windowed mode is key for me and I'd really like the ability to show multiple slideshows at once as I'm dealing with very big displays.

-show works great but opens full screen by default on a second monitor.
Comment 1 Nick 2018-04-05 14:33:42 UTC
Here's a properly formatted description.

Description:
Hi there. I was wondering if a command line switch that opens a slideshow in windowed mode could be achieved? Windowed mode is key for me and I'd really like the ability to show multiple slideshows at once as I'm dealing with very big displays.

-show works great but opens full screen by default on a second monitor.

Thanks for looking.

Best,

Nick

Steps to Reproduce:
1. Open a command prompt
2. cd to LibreOffice program directory
3. soffice.bin "Impress File Name" --view

Actual Results:  
The powerpoint opens full screen on a second monitor

Expected Results:
The powerpoint opens in windowed mode with the option of full screen OR the existence of another command line switch --viewwin opens the slide show in windowed mode.

Reproducible: Always

User Profile Reset: Yes
Comment 2 Heiko Tietze 2018-04-11 08:32:14 UTC
I would treat this as a bug. Saving a presentation stores the slideshow settings including the presentation mode - and runs a windowed presentation if set. But starting from the command line with the parameter --show doesn't respect this setting.

Guess this could be solved easily.
Comment 3 Nick 2018-04-11 13:11:57 UTC
(In reply to Heiko Tietze from comment #2)
> I would treat this as a bug. Saving a presentation stores the slideshow
> settings including the presentation mode - and runs a windowed presentation
> if set. But starting from the command line with the parameter --show doesn't
> respect this setting.
> 
> Guess this could be solved easily.

That is true. It would be nice if --show respected the setting. If possible though, it would be nice to be able to set a flag somewhere in the settings such that Impress slideshows open windowed by default. For my case, I need to open all my slideshows windowed. So that's what I'm looking forward to the most.
Comment 4 Nick 2018-04-19 13:23:31 UTC
If there's anyone who's willing to teach a man to fish, I'll work on this bug/request myself. I'm a developer who primarily works with C#. I'm not entirely sure how to go about writing a fix though. I have the SDK installed but with CLI I get this https://bugs.documentfoundation.org/show_bug.cgi?id=94265#c2 error even with the patch listed in that thread's last comment. 

The docs for installing the SDK were pretty rough. Many of the dependencies weren't at the linked locations. I had to dig pretty deep for them. And I'm not sure if I just need the SDK or all of LibreOffice's code to write in what I need. If someone were willing to to a VOIP call or point me in a direction of a LibreOffice developer quick start guide to install and get to work on LibreOffice, that would be great.
Comment 5 QA Administrators 2021-06-13 03:48:20 UTC
Dear Nick,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug